> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Task Types

> Return task types this team's specialists can produce.

Used by the frontend loop builder to populate the task type dropdown.
Filters out infrastructure capabilities (publishing, evaluation, etc.)
and returns only user-selectable content creation task types.



## OpenAPI

````yaml /openapi.json get /api/v1/teams/{team_id}/supported-task-types
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/supported-task-types:
    get:
      tags:
        - LoopOps
      summary: Get Supported Task Types
      description: |-
        Return task types this team's specialists can produce.

        Used by the frontend loop builder to populate the task type dropdown.
        Filters out infrastructure capabilities (publishing, evaluation, etc.)
        and returns only user-selectable content creation task types.
      operationId: get_supported_task_types_api_v1_teams__team_id__supported_task_types_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````